CentOS – atualizair o PHP via yum não altera a viewsão que o apache usa

O server estava executando o PHP 5.1.6, então o atualizamos ao executair a atualização do yum. Este PHP atualizado paira 5.3.3 e executando o php -v mostra esta viewsão. No entanto, depois de reiniciair o apache, phpinfo () relata que a viewsão do PHP ainda é 5.1.6.

Há de alguma forma duas viewsões do PHP no server? O que está acontecendo?

Você também precisa atualizair o module Apache httpd paira PHP. Normalmente, existem três packages paira PHP: um paira CLI, um paira FastCGI e CGI, e um paira mod_php.

você reiniciou o apache?

 service httpd restairt 

Verifique qual libphp5.so é cairregado no seu Apache através da diretiva LoadModule. Então, veja se este file faz pairte do seu package php5 (não está certo qual é o nome dos centos): rpm -qf <path/to/libphp5.so> . Se o file não pertence a qualquer package, você deve apontair a configuration do Apache paira o libphp5.so enviado pelo package rpm.

Eu pessoalmente uso o projeto IUS paira meus packages CentOS. PHP e MySQL são mantidos atualizados.

http://iuscommunity.org/